/*
* SessionTestServlet.java
*
*/

package net.roseindia.web.servlets;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import javax.naming.*;
import javax.rmi.PortableRemoteObject;

import examples.*;


/**
* @author Deepak Kumar
* @Web http://www.roseindia.net
* @Email deepak@roseindia.net
* @web.servlet	name="sessionTest"
*				display-name="Session Test Servlet"
*				load-on-startup="1"
* @web.servlet-mapping url-pattern="/SessionServlet"
*/



public class SessionTestServlet extends HttpServlet {

TestSessionBeanHome testSessionBean;

public void init(ServletConfig config) throws ServletException{
//Look up home interface
try {
       InitialContext ctx = new InitialContext();
       Object objref = ctx.lookup("TestSessionBean");
        testSessionBean = (TestSessionBeanHome)PortableRemoteObject.narrow(objref,    TestSessionBeanHome.class);
} catch (Exception NamingException) {
       NamingException.printStackTrace();
}


}

public void doGet (HttpServletRequest request, 
HttpServletResponse response) 
throws ServletException, IOException
{

PrintWriter out;
response.setContentType("text/html");
String title = "EJB Example";
out = response.getWriter();

out.println("<html>");
out.println("<head>");
out.println("<title>Hello World Servlet!</title>");
out.println("</head>");
out.println("<body>");
out.println("<p align=\"center\"><font size=\"4\" color=\"#000080\">Servlet Calling Session Bean</font></p>");


try{
TestSessionBean beanRemote;
beanRemote = testSessionBean.create();
out.println("<p align=\"center\"> Message from Session Bean is: <b>" + beanRemote.SayHello() + "</b></p>"); 
beanRemote.remove();
}catch(Exception CreateException){
CreateException.printStackTrace();
}

out.println("<p align=\"center\"><a href=\"javascript:history.back()\">Go to Home</a></p>");
out.println("</body>");
out.println("</html>");


out.close();
}

public void destroy() {
System.out.println("Destroy");
}
}